/* #Declinazione di responsabilità. 
#I file rilasciati in formato testo sono provvisti anche dei programmi di importazione per STATA, SAS e R. 
#L'Istat non garantisce che le funzioni contenute nei suddetti programmi siano esenti da errore e non si assume alcuna responsabilità sull’output ottenuto dal loro utilizzo.       */
/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2017_IT_DELIMITED.dct, clear
/*
label define  ricavi_cl_cl1 0   "[0, 20000)" 20000   "[20000, 50000)" 50000   "[50000, 100000)" 100000   "[100000, 200000)" 200000   "[200000, 500000)" 500000   "[500000, 1000000)" 1000000   "[1000000, 2000000)" 2000000   "[2000000, 4000000)" 4000000   "[4000000, 5000000)" 5000000   "[5000000, 10000000)" 10000000   "[10000000, 20000000)" 20000000   "[20000000, 50000000)" 50000000   "[50000000, 200000000)" 200000000   "almeno 200000000"  
label define  a1_cl2 0   "no" 1   "si"  
label define  b1_cl4 .   "missing" 0   "no" 1   "si"  
label define  b2a_cl5 .   "missing" 0   "no" 1   "si"  
label define  b2b_cl6 .   "missing" 0   "no" 1   "si"  
label define  b3_cl7 .   "missing" 0   "no" 1   "si"  
label define  b4_cl8 .   "missing" 0   "no" 1   "si"  
label define  c1_cl9 .   "missing" 0   "no" 1   "si"  
label define  c3_cl11 .   "missing" 0   "no" 1   "si"  
label define  c4_cl12 .   "missing" 1   "Inferiore a  2Mbit/s" 2   "Compresa tra 2Mbit/s e meno di 10Mbit/s" 3   "Compresa tra 10Mbit/s e meno di 30Mbit/s" 4   "Compresa tra 30Mbit/s e meno di 100Mbit/s" 5   "Maggiore o uguale a 100 Mbit/s"  
label define  c5_cl13 .   "missing" 0   "no" 1   "si"  
label define  c6_cl14 .   "missing" 0   "no" 1   "si"  
label define  c8_cl16 .   "missing" 0   "no" 1   "si"  
label define  c9a_cl17 .   "missing" 0   "no" 1   "si"  
label define  c9b_cl18 .   "missing" 0   "no" 1   "si"  
label define  c9c_cl19 .   "missing" 0   "no" 1   "si"  
label define  c9d_cl20 .   "missing" 0   "no" 1   "si"  
label define  c9e_cl21 .   "missing" 0   "no" 1   "si"  
label define  c9f_cl22 .   "missing" 0   "no" 1   "si"  
label define  c9g_cl23 .   "missing" 0   "no" 1   "si"  
label define  c10a_cl24 .   "missing" 0   "no" 1   "si"  
label define  c10b_cl25 .   "missing" 0   "no" 1   "si"  
label define  c10c_cl26 .   "missing" 0   "no" 1   "si"  
label define  c10d_cl27 .   "missing" 0   "no" 1   "si"  
label define  c11a_cl28 .   "missing" 0   "no" 1   "si"  
label define  c11b_cl29 .   "missing" 0   "no" 1   "si"  
label define  c11c_cl30 .   "missing" 0   "no" 1   "si"  
label define  c11d_cl31 .   "missing" 0   "no" 1   "si"  
label define  c11e_cl32 .   "missing" 0   "no" 1   "si"  
label define  c11f_cl33 .   "missing" 0   "no" 1   "si"  
label define  c12a1_cl34 .   "missing" 0   "no" 1   "si"  
label define  c12a2_cl35 .   "missing" 0   "no" 1   "si"  
label define  c12a3_cl36 .   "missing" 0   "no" 1   "si"  
label define  c12a4_cl37 .   "missing" 0   "no" 1   "si"  
label define  c12a5_cl38 .   "missing" 0   "no" 1   "si"  
label define  c12a6_cl39 .   "missing" 0   "no" 1   "si"  
label define  c12a7_cl40 .   "missing" 0   "no" 1   "si"  
label define  c12b1_cl41 .   "missing" 0   "no" 1   "si"  
label define  c12b2_cl42 .   "missing" 0   "no" 1   "si"  
label define  c12b3_cl43 .   "missing" 0   "no" 1   "si"  
label define  c12b4_cl44 .   "missing" 0   "no" 1   "si"  
label define  c12b5_cl45 .   "missing" 0   "no" 1   "si"  
label define  c12b6_cl46 .   "missing" 0   "no" 1   "si"  
label define  c12b7_cl47 .   "missing" 0   "no" 1   "si"  
label define  c12c1_cl48 .   "missing" 0   "no" 1   "si"  
label define  c12c2_cl49 .   "missing" 0   "no" 1   "si"  
label define  c12c3_cl50 .   "missing" 0   "no" 1   "si"  
label define  c12c4_cl51 .   "missing" 0   "no" 1   "si"  
label define  c12c5_cl52 .   "missing" 0   "no" 1   "si"  
label define  c12c6_cl53 .   "missing" 0   "no" 1   "si"  
label define  c12c7_cl54 .   "missing" 0   "no" 1   "si"  
label define  c12d1_cl55 .   "missing" 0   "no" 1   "si"  
label define  c12d2_cl56 .   "missing" 0   "no" 1   "si"  
label define  c12d3_cl57 .   "missing" 0   "no" 1   "si"  
label define  c12d4_cl58 .   "missing" 0   "no" 1   "si"  
label define  c12d5_cl59 .   "missing" 0   "no" 1   "si"  
label define  c12d6_cl60 .   "missing" 0   "no" 1   "si"  
label define  c12d7_cl61 .   "missing" 0   "no" 1   "si"  
label define  c12e1_cl62 .   "missing" 0   "no" 1   "si"  
label define  c12e2_cl63 .   "missing" 0   "no" 1   "si"  
label define  c12e3_cl64 .   "missing" 0   "no" 1   "si"  
label define  c12e4_cl65 .   "missing" 0   "no" 1   "si"  
label define  c12e5_cl66 .   "missing" 0   "no" 1   "si"  
label define  c12e6_cl67 .   "missing" 0   "no" 1   "si"  
label define  c12e7_cl68 .   "missing" 0   "no" 1   "si"  
label define  c12f1_cl69 .   "missing" 0   "no" 1   "si"  
label define  c12f2_cl70 .   "missing" 0   "no" 1   "si"  
label define  c12f3_cl71 .   "missing" 0   "no" 1   "si"  
label define  c12f4_cl72 .   "missing" 0   "no" 1   "si"  
label define  c12f5_cl73 .   "missing" 0   "no" 1   "si"  
label define  c12f6_cl74 .   "missing" 0   "no" 1   "si"  
label define  c12f7_cl75 .   "missing" 0   "no" 1   "si"  
label define  c12g1_cl76 .   "missing" 0   "no" 1   "si"  
label define  c12g2_cl77 .   "missing" 0   "no" 1   "si"  
label define  c12g3_cl78 .   "missing" 0   "no" 1   "si"  
label define  c12g4_cl79 .   "missing" 0   "no" 1   "si"  
label define  c12g5_cl80 .   "missing" 0   "no" 1   "si"  
label define  c12g6_cl81 .   "missing" 0   "no" 1   "si"  
label define  c12g7_cl82 .   "missing" 0   "no" 1   "si"  
label define  c12h1_cl83 .   "missing" 0   "no" 1   "si"  
label define  c12h2_cl84 .   "missing" 0   "no" 1   "si"  
label define  c12h3_cl85 .   "missing" 0   "no" 1   "si"  
label define  c12h4_cl86 .   "missing" 0   "no" 1   "si"  
label define  c12h5_cl87 .   "missing" 0   "no" 1   "si"  
label define  c12h6_cl88 .   "missing" 0   "no" 1   "si"  
label define  c12h7_cl89 .   "missing" 0   "no" 1   "si"  
label define  c12i1_cl90 .   "missing" 0   "no" 1   "si"  
label define  c12i2_cl91 .   "missing" 0   "no" 1   "si"  
label define  c12i3_cl92 .   "missing" 0   "no" 1   "si"  
label define  c12i4_cl93 .   "missing" 0   "no" 1   "si"  
label define  c12i5_cl94 .   "missing" 0   "no" 1   "si"  
label define  c12i6_cl95 .   "missing" 0   "no" 1   "si"  
label define  c12i7_cl96 .   "missing" 0   "no" 1   "si"  
label define  d1_cl97 .   "missing" 0   "no" 1   "si"  
label define  d2a_cl98 .   "missing" 0   "no" 1   "si"  
label define  d2b_cl99 .   "missing" 0   "no" 1   "si"  
label define  e1_cl100 .   "missing" 0   "no" 1   "si"  
label define  e2a_cl101 .   "missing" 0   "no" 1   "si"  
label define  e2b_cl102 .   "missing" 0   "no" 1   "si"  
label define  f1a_cl103 .   "missing" 0   "no" 1   "si"  
label define  f1b_cl104 .   "missing" 0   "no" 1   "si"  
label define  f1c_cl105 .   "missing" 0   "no" 1   "si"  
label define  g1_cl106 .   "missing" 0   "no" 1   "si"  
label define  g4a_cl110 .   "missing" 0   "no" 1   "si"  
label define  g4b_cl111 .   "missing" 0   "no" 1   "si"  
label define  g6a_cl114 .   "missing" 0   "no" 1   "si"  
label define  g6b_cl115 .   "missing" 0   "no" 1   "si"  
label define  g6c_cl116 .   "missing" 0   "no" 1   "si"  
label define  g7a_cl117 .   "missing" 0   "no" 1   "si"  
label define  g7b_cl118 .   "missing" 0   "no" 1   "si"  
label define  g7c_cl119 .   "missing" 0   "no" 1   "si"  
label define  g7d_cl120 .   "missing" 0   "no" 1   "si"  
label define  g7e_cl121 .   "missing" 0   "no" 1   "si"  
label define  g8_cl122 .   "missing" 0   "no" 1   "si"  
label define  g10a_cl124 .   "missing" 0   "no" 1   "si"  
label define  g10b_cl125 .   "missing" 0   "no" 1   "si"  
label define  g10c_cl126 .   "missing" 0   "no" 1   "si"  
label define  g11_cl127 .   "missing" 0   "no" 1   "si"  
label define  g12_cl128 .   "missing" 1   "Meno dell¿1%" 2   "Tra l¿1% e meno del 5%" 3   "Tra il 5% e meno di 10%" 4   "Tra il 10% e meno di 25%" 5   "Tra il 25% e meno di 50%" 6   "Tra il 50% e meno di 75%" 7   "Dal 75% al 100%"  
label define  g13a_cl129 .   "missing" 0   "no" 1   "si"  
label define  g13b_cl130 .   "missing" 0   "no" 1   "si"  
label define  g14a_cl131 .   "missing" 0   "no" 1   "si"  
label define  g14b_cl132 .   "missing" 0   "no" 1   "si"  
label define  g14c_cl133 .   "missing" 0   "no" 1   "si"  
label define  h1a_cl134 .   "missing" 0   "no" 1   "si"  
label define  h1b_cl135 .   "missing" 0   "no" 1   "si"  
label define  h1c_cl136 .   "missing" 0   "no" 1   "si"  
label define  h1d_cl137 .   "missing" 0   "no" 1   "si"  
label define  h1e_cl138 .   "missing" 0   "no" 1   "si"  
label define  h1f_cl139 .   "missing" 0   "no" 1   "si"  
label define  h1g_cl140 .   "missing" 0   "no" 1   "si"  
label define  h1h_cl141 .   "missing" 0   "no" 1   "si"  
label define  h1i_cl142 .   "missing" 0   "no" 1   "si"  
label define  h1j_cl143 .   "missing" 0   "no" 1   "si"  
label define  h2a_cl144 .   "non scelta tra le cinque possibili" 1   "si"  
label define  h2b_cl145 .   "non scelta tra le cinque possibili" 1   "si"  
label define  h2c_cl146 .   "non scelta tra le cinque possibili" 1   "si"  
label define  h2d_cl147 .   "non scelta tra le cinque possibili" 1   "si"  
label define  h2e_cl148 .   "non scelta tra le cinque possibili" 1   "si"  
label define  h2f_cl149 .   "non scelta tra le cinque possibili" 1   "si"  
label define  h2g_cl150 .   "non scelta tra le cinque possibili" 1   "si"  
label define  h2h_cl151 .   "non scelta tra le cinque possibili" 1   "si"  
label define  h2i_cl152 .   "non scelta tra le cinque possibili" 1   "si"  
label define  h2j_cl153 .   "non scelta tra le cinque possibili" 1   "si"  
label define  h2k_cl154 .   "non scelta tra le cinque possibili" 1   "si"  
label define  h2l_cl155 .   "non scelta tra le cinque possibili" 1   "Nessuna area tecnologica pu¿ avere impatto"  
label define  h2m_cl156 .   "non scelta tra le cinque possibili" 1   "Non so"  
label define  h3a_cl157 .   "non scelto tra i tre possibili" 1   "si"  
label define  h3b_cl158 .   "non scelto tra i tre possibili" 1   "si"  
label define  h3c_cl159 .   "non scelto tra i tre possibili" 1   "si"  
label define  h3d_cl160 .   "non scelto tra i tre possibili" 1   "si"  
label define  h3e_cl161 .   "non scelto tra i tre possibili" 1   "si"  
label define  h3f_cl162 .   "non scelto tra i tre possibili" 1   "si"  
label define  h3g_cl163 .   "non scelto tra i tre possibili" 1   "si"  
label define  h3h_cl164 .   "non scelto tra i tre possibili" 1   "Nessun fattore di digitalizzazione pu¿ incidere"  
label define  h3i_cl165 .   "non scelto tra i tre possibili" 1   "Non so"  
label define  mac_cl167 M1   "MACROSETTORE MANIFATTURIERO" M2   "MACROSETTORE ENERGIA" M3   "MACROSETTORE COSTRUZIONI" M4   "MACROSETTORE SERVIZI (NON FINANZIARI)"  
label define  clad4_cl168 cl1   "10-49 addetti" cl2   "50-99 addetti" cl3   "100-249 addetti" cl4   "250 e pi¿ addetti"  
label define  reg__cl169 01   "Piemonte" 02   "Valle d'Aosta" 03   "Lombardia" 04   "Trentino-Alto Adige" 05   "Veneto" 06   "Friuli-Venezia Giulia" 07   "Liguria" 08   "Emilia-Romagna" 09   "Toscana" 10   "Umbria" 11   "Marche" 12   "Lazio" 13   "Abruzzo" 14   "Molise" 15   "Campania" 16   "Puglia" 17   "Basilicata" 18   "Calabria" 19   "Sicilia" 20   "Sardegna"  
label define  dom1_cl170 N01   "Dominio divisioni e gruppi Ateco 2007: 10+11+12" N02   "Dominio divisioni e gruppi Ateco 2007: 13+14+15" N03   "Dominio divisioni e gruppi Ateco 2007: 16+17+18" N04   "Dominio divisioni e gruppi Ateco 2007: 19+20+21+22+23" N05   "Dominio divisioni e gruppi Ateco 2007: 24+25" N06   "Dominio divisioni e gruppi Ateco 2007: 26" N07   "Dominio divisioni e gruppi Ateco 2007: 27+28" N08   "Dominio divisioni e gruppi Ateco 2007: 29+30" N09   "Dominio divisioni e gruppi Ateco 2007: 31+32+33" N10   "Dominio divisioni e gruppi Ateco 2007: 35+36+37+38+39" N11   "Dominio divisioni e gruppi Ateco 2007: 41+42+43" N12   "Dominio divisioni e gruppi Ateco 2007: 45" N13   "Dominio divisioni e gruppi Ateco 2007: 46" N14   "Dominio divisioni e gruppi Ateco 2007: 47" N15   "Dominio divisioni e gruppi Ateco 2007: 49+50+51+52" N16   "Dominio divisioni e gruppi Ateco 2007: 53" N17   "Dominio divisioni e gruppi Ateco 2007: 55" N18   "Dominio divisioni e gruppi Ateco 2007: 56" N19   "Dominio divisioni e gruppi Ateco 2007: 58" N20   "Dominio divisioni e gruppi Ateco 2007: 59+60" N21   "Dominio divisioni e gruppi Ateco 2007: 61" N22   "Dominio divisioni e gruppi Ateco 2007: 62+63" N23   "Dominio divisioni e gruppi Ateco 2007: 68" N24   "Dominio divisioni e gruppi Ateco 2007: 69+70+71+72+73+74" N25   "Dominio divisioni e gruppi Ateco 2007: 77+78+80+81+82" N26   "Dominio divisioni e gruppi Ateco 2007: 79" N27   "Dominio divisioni e gruppi Ateco 2007: 95.1"  
label define  dom4_cl173 NO_ICT   "Non appartiene al Settore ICT" SI_ICT   "Appartiene al settore ICT (Ateco 261, 262, 263, 264, 268, 465, 582, 61, 62, 631, 951)"  
label values  ricavi_cl ricavi_cl_cl1
label values  a1 a1_cl2
label values  b1 b1_cl4
label values  b2a b2a_cl5
label values  b2b b2b_cl6
label values  b3 b3_cl7
label values  b4 b4_cl8
label values  c1 c1_cl9
label values  c3 c3_cl11
label values  c4 c4_cl12
label values  c5 c5_cl13
label values  c6 c6_cl14
label values  c8 c8_cl16
label values  c9a c9a_cl17
label values  c9b c9b_cl18
label values  c9c c9c_cl19
label values  c9d c9d_cl20
label values  c9e c9e_cl21
label values  c9f c9f_cl22
label values  c9g c9g_cl23
label values  c10a c10a_cl24
label values  c10b c10b_cl25
label values  c10c c10c_cl26
label values  c10d c10d_cl27
label values  c11a c11a_cl28
label values  c11b c11b_cl29
label values  c11c c11c_cl30
label values  c11d c11d_cl31
label values  c11e c11e_cl32
label values  c11f c11f_cl33
label values  c12a1 c12a1_cl34
label values  c12a2 c12a2_cl35
label values  c12a3 c12a3_cl36
label values  c12a4 c12a4_cl37
label values  c12a5 c12a5_cl38
label values  c12a6 c12a6_cl39
label values  c12a7 c12a7_cl40
label values  c12b1 c12b1_cl41
label values  c12b2 c12b2_cl42
label values  c12b3 c12b3_cl43
label values  c12b4 c12b4_cl44
label values  c12b5 c12b5_cl45
label values  c12b6 c12b6_cl46
label values  c12b7 c12b7_cl47
label values  c12c1 c12c1_cl48
label values  c12c2 c12c2_cl49
label values  c12c3 c12c3_cl50
label values  c12c4 c12c4_cl51
label values  c12c5 c12c5_cl52
label values  c12c6 c12c6_cl53
label values  c12c7 c12c7_cl54
label values  c12d1 c12d1_cl55
label values  c12d2 c12d2_cl56
label values  c12d3 c12d3_cl57
label values  c12d4 c12d4_cl58
label values  c12d5 c12d5_cl59
label values  c12d6 c12d6_cl60
label values  c12d7 c12d7_cl61
label values  c12e1 c12e1_cl62
label values  c12e2 c12e2_cl63
label values  c12e3 c12e3_cl64
label values  c12e4 c12e4_cl65
label values  c12e5 c12e5_cl66
label values  c12e6 c12e6_cl67
label values  c12e7 c12e7_cl68
label values  c12f1 c12f1_cl69
label values  c12f2 c12f2_cl70
label values  c12f3 c12f3_cl71
label values  c12f4 c12f4_cl72
label values  c12f5 c12f5_cl73
label values  c12f6 c12f6_cl74
label values  c12f7 c12f7_cl75
label values  c12g1 c12g1_cl76
label values  c12g2 c12g2_cl77
label values  c12g3 c12g3_cl78
label values  c12g4 c12g4_cl79
label values  c12g5 c12g5_cl80
label values  c12g6 c12g6_cl81
label values  c12g7 c12g7_cl82
label values  c12h1 c12h1_cl83
label values  c12h2 c12h2_cl84
label values  c12h3 c12h3_cl85
label values  c12h4 c12h4_cl86
label values  c12h5 c12h5_cl87
label values  c12h6 c12h6_cl88
label values  c12h7 c12h7_cl89
label values  c12i1 c12i1_cl90
label values  c12i2 c12i2_cl91
label values  c12i3 c12i3_cl92
label values  c12i4 c12i4_cl93
label values  c12i5 c12i5_cl94
label values  c12i6 c12i6_cl95
label values  c12i7 c12i7_cl96
label values  d1 d1_cl97
label values  d2a d2a_cl98
label values  d2b d2b_cl99
label values  e1 e1_cl100
label values  e2a e2a_cl101
label values  e2b e2b_cl102
label values  f1a f1a_cl103
label values  f1b f1b_cl104
label values  f1c f1c_cl105
label values  g1 g1_cl106
label values  g4a g4a_cl110
label values  g4b g4b_cl111
label values  g6a g6a_cl114
label values  g6b g6b_cl115
label values  g6c g6c_cl116
label values  g7a g7a_cl117
label values  g7b g7b_cl118
label values  g7c g7c_cl119
label values  g7d g7d_cl120
label values  g7e g7e_cl121
label values  g8 g8_cl122
label values  g10a g10a_cl124
label values  g10b g10b_cl125
label values  g10c g10c_cl126
label values  g11 g11_cl127
label values  g12 g12_cl128
label values  g13a g13a_cl129
label values  g13b g13b_cl130
label values  g14a g14a_cl131
label values  g14b g14b_cl132
label values  g14c g14c_cl133
label values  h1a h1a_cl134
label values  h1b h1b_cl135
label values  h1c h1c_cl136
label values  h1d h1d_cl137
label values  h1e h1e_cl138
label values  h1f h1f_cl139
label values  h1g h1g_cl140
label values  h1h h1h_cl141
label values  h1i h1i_cl142
label values  h1j h1j_cl143
label values  h2a h2a_cl144
label values  h2b h2b_cl145
label values  h2c h2c_cl146
label values  h2d h2d_cl147
label values  h2e h2e_cl148
label values  h2f h2f_cl149
label values  h2g h2g_cl150
label values  h2h h2h_cl151
label values  h2i h2i_cl152
label values  h2j h2j_cl153
label values  h2k h2k_cl154
label values  h2l h2l_cl155
label values  h2m h2m_cl156
label values  h3a h3a_cl157
label values  h3b h3b_cl158
label values  h3c h3c_cl159
label values  h3d h3d_cl160
label values  h3e h3e_cl161
label values  h3f h3f_cl162
label values  h3g h3g_cl163
label values  h3h h3h_cl164
label values  h3i h3i_cl165
label values  mac mac_cl167
label values  clad4 clad4_cl168
label values  reg_ reg__cl169
label values  dom1 dom1_cl170
label values  dom4 dom4_cl173
*/
save  ICT_A2017.dta, replace
